Subject: bug#45319: 28.0.50; Redisplay: `forward-char' moves backwards into invisible text

From: Michael Heerdegen <[email-masked]>
Date: Sat, 19 Dec 2020 13:44:05 +0100

Eli Zaretskii <[email-masked]> writes:

> You judge what Emacs does with point by a report from a
> post-command-hook.  But that's not necessarily what Emacs does with
> point: the latter is what is shown by "C-x =".  Does that ever show
> moving back?

Magit's section highlighting is performed in post-command-hook, so it
highlights the wrong section in this case based on that value.  Do you
have a solution for this kind of problem?  hl-line-mode has the same
problem btw.

Ok, have tried now with (setq global-disable-point-adjustment t) and it
avoids the problem in my test case, yes.  However it's not what I want
to do in this buffer (or generally in this kind of situation, most of
the time).

Thanks,

Michael.